"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Alert = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@remixicon/react");
const classnames_1 = require("classnames");
const react_2 = require("react");
require("./Alert.css");
function Alert({ type = 'info', children }) {
    const icon = (0, react_2.useMemo)(() => {
        switch (type) {
            case 'error':
                return (0, jsx_runtime_1.jsx)(react_1.RiCloseCircleLine, {});
            case 'success':
                return (0, jsx_runtime_1.jsx)(react_1.RiCheckboxCircleLine, {});
            case 'warning':
                return (0, jsx_runtime_1.jsx)(react_1.RiErrorWarningLine, {});
            default:
                return (0, jsx_runtime_1.jsx)(react_1.RiInformationLine, {});
        }
    }, [type]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, classnames_1.default)('doc-ui-alert', 'doc-ui-alert-' + type), children: [(0, jsx_runtime_1.jsx)("div", { className: "doc-ui-alert-icon", children: icon }), (0, jsx_runtime_1.jsx)("div", { className: "doc-ui-alert-main", children: children })] }));
}
exports.Alert = Alert;
