"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeBlock = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = require("classnames");
const prism_react_renderer_1 = require("prism-react-renderer");
require("./CodeBlock.css");
const CopyButton_1 = require("./CopyButton");
const FileName_1 = require("./FileName");
const Spacer_1 = require("./Spacer");
const Toobar_1 = require("./Toobar");
function CodeBlock({ code, children, filename, language = 'bash', className, }) {
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, classnames_1.default)('doc-ui-code-block', className), children: [(0, jsx_runtime_1.jsxs)(Toobar_1.Toolbar, { children: [(0, jsx_runtime_1.jsx)(FileName_1.FileName, { language: language, filename: filename }), (0, jsx_runtime_1.jsx)(Spacer_1.Spacer, {}), (0, jsx_runtime_1.jsx)(CopyButton_1.CopyButton, { code: code })] }), (0, jsx_runtime_1.jsx)(prism_react_renderer_1.Highlight, { theme: { plain: {}, styles: [] }, code: code || children || '', language: language, children: (_a) => {
                    var { tokens, getLineProps, getTokenProps } = _a, rest = __rest(_a, ["tokens", "getLineProps", "getTokenProps"]);
                    return ((0, jsx_runtime_1.jsx)("pre", Object.assign({}, rest, { children: tokens.map((line, i) => ((0, jsx_runtime_1.jsx)("div", Object.assign({}, getLineProps({ line }), { children: line.map((token, key) => ((0, jsx_runtime_1.jsx)("span", Object.assign({}, getTokenProps({ token })), key))) }), i))) })));
                } })] }));
}
exports.CodeBlock = CodeBlock;
