var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cn from 'classnames';
import { Highlight } from 'prism-react-renderer';
import './CodeBlock.css';
import { CopyButton } from './CopyButton';
import { FileName } from './FileName';
import { Spacer } from './Spacer';
import { Toolbar } from './Toobar';
export function CodeBlock({ code, children, filename, language = 'bash', className, }) {
    return (_jsxs("div", { className: cn('doc-ui-code-block', className), children: [_jsxs(Toolbar, { children: [_jsx(FileName, { language: language, filename: filename }), _jsx(Spacer, {}), _jsx(CopyButton, { code: code })] }), _jsx(Highlight, { theme: { plain: {}, styles: [] }, code: code || children || '', language: language, children: (_a) => {
                    var { tokens, getLineProps, getTokenProps } = _a, rest = __rest(_a, ["tokens", "getLineProps", "getTokenProps"]);
                    return (_jsx("pre", Object.assign({}, rest, { children: tokens.map((line, i) => (_jsx("div", Object.assign({}, getLineProps({ line }), { children: line.map((token, key) => (_jsx("span", Object.assign({}, getTokenProps({ token })), key))) }), i))) })));
                } })] }));
}
