import { CSSProperties } from 'react';
import './DemoBlock.css';
export interface DemoBlockProps {
    device?: 'laptop' | 'tablet' | 'mobile' | 'responsive';
    language?: 'jsx' | 'tsx';
    filename?: string | undefined;
    code: string;
    disablePadding?: boolean;
    className?: string;
    style?: CSSProperties;
}
export declare function DemoBlock({ code, filename, language, device, disablePadding, className, style, }: DemoBlockProps): import("react/jsx-runtime").JSX.Element;
