import { CSSProperties, MouseEventHandler, ReactNode } from 'react';
import './ToolButton.css';
export interface ToolButtonProps {
    active?: boolean;
    color?: string;
    icon?: ReactNode;
    children?: ReactNode;
    className?: string;
    style?: CSSProperties;
    onClick?: MouseEventHandler<HTMLAnchorElement>;
}
export declare function ToolButton({ children, icon, color, className, style, onClick }: ToolButtonProps): import("react/jsx-runtime").JSX.Element;
