import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import classNames from 'classnames';
import './ToolButton.css';
export function ToolButton({ children, icon, color, className, style, onClick }) {
    return (_jsxs("a", { className: classNames('doc-ui-tool-button', 'doc-ui-tool-button-' + color, className), onClick: onClick, style: style, children: [icon && _jsx("span", { className: "doc-ui-tool-button-icon", children: icon }), children] }));
}
