var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { Children } from 'react';
import { Alert } from './Alert';
import { CodeBlock } from './CodeBlock';
import { CodeInline } from './CodeInline';
import { DemoBlock } from './DemoBlock';
import { Table } from './Table';
export const components = {
    code: CodeInline,
    pre: (_a) => {
        var _b, _c, _d;
        var { children } = _a, props = __rest(_a, ["children"]);
        const codeElem = Children.only(children);
        const language = ((_b = codeElem.props.className) === null || _b === void 0 ? void 0 : _b.substring(9)) || 'bash';
        const code = (_d = (_c = codeElem.props.children) === null || _c === void 0 ? void 0 : _c.trim) === null || _d === void 0 ? void 0 : _d.call(_c);
        return props.live && ['jsx', 'tsx'].includes(language) ? (_jsx(DemoBlock, Object.assign({ language: language, code: code }, props))) : (_jsx(CodeBlock, Object.assign({ language: language, code: code }, props)));
    },
    table: Table,
    Alert: Alert,
};
