"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@mdx-js/react");
const classnames_1 = require("classnames");
const react_router_dom_1 = require("react-router-dom");
require("./index.css");
const SiteNav_1 = require("./private/SiteNav");
const components_1 = require("./private/components");
const getRoutePath_1 = require("./private/getRoutePath");
function DocUI({ docs = [], basename, className, style }) {
    return ((0, jsx_runtime_1.jsx)(react_router_dom_1.BrowserRouter, { basename: basename, children: (0, jsx_runtime_1.jsxs)("div", { className: (0, classnames_1.default)('doc-ui', className), style: style, children: [(0, jsx_runtime_1.jsx)(SiteNav_1.SiteNav, { docs: docs }), (0, jsx_runtime_1.jsx)("main", { className: "doc-ui-main", children: (0, jsx_runtime_1.jsx)("article", { className: "doc-ui-content", children: (0, jsx_runtime_1.jsx)(react_1.MDXProvider, { components: components_1.components, children: (0, jsx_runtime_1.jsx)(react_router_dom_1.Routes, { children: docs.map((doc) => ((0, jsx_runtime_1.jsx)(react_router_dom_1.Route, { index: doc.filepath === 'README.md', path: (0, getRoutePath_1.getRoutePath)(doc.filepath), Component: doc.default }, doc.filepath))) }) }) }) })] }) }));
}
exports.default = DocUI;
