"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiteNav = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_router_dom_1 = require("react-router-dom");
require("./SiteNav.css");
const getRoutePath_1 = require("./getRoutePath");
function SiteNav({ docs }) {
    return ((0, jsx_runtime_1.jsx)("aside", { className: "doc-ui-site-nav", children: (0, jsx_runtime_1.jsx)("nav", { className: "doc-ui-site-nav-inner", children: docs
                .map((doc) => ({ title: doc.title, path: (0, getRoutePath_1.getRoutePath)(doc.filepath) }))
                .sort((a, b) => a.path.localeCompare(b.path))
                .map((doc) => ((0, jsx_runtime_1.jsx)(react_router_dom_1.NavLink, { className: "doc-ui-site-nav-item", to: (0, getRoutePath_1.getRoutePath)(doc.path), children: doc.title }, doc.path))) }) }));
}
exports.SiteNav = SiteNav;
