"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToolButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = require("classnames");
require("./ToolButton.css");
function ToolButton({ children, icon, color, className, style, onClick }) {
    return ((0, jsx_runtime_1.jsxs)("a", { className: (0, classnames_1.default)('doc-ui-tool-button', 'doc-ui-tool-button-' + color, className), onClick: onClick, style: style, children: [icon && (0, jsx_runtime_1.jsx)("span", { className: "doc-ui-tool-button-icon", children: icon }), children] }));
}
exports.ToolButton = ToolButton;
