"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToolSelect = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = require("classnames");
const react_1 = require("react");
const ToolButton_1 = require("./ToolButton");
require("./ToolSelect.css");
function ToolSelect({ value, onChange, options, className, style }) {
    const [open, setOpen] = (0, react_1.useState)(false);
    const selected = options.find((item) => item.value === value);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, classnames_1.default)('doc-ui-select', className), style: style, children: [(0, jsx_runtime_1.jsx)(ToolButton_1.ToolButton, { icon: selected === null || selected === void 0 ? void 0 : selected.icon, onClick: () => setOpen((prev) => !prev), children: selected === null || selected === void 0 ? void 0 : selected.label }), (0, jsx_runtime_1.jsx)("div", { className: (0, classnames_1.default)('doc-ui-select-dropdown', open && 'doc-ui-select-dropdown-open'), children: options.map((item) => ((0, jsx_runtime_1.jsx)(ToolButton_1.ToolButton, { icon: item.icon, onClick: () => {
                        onChange(item.value);
                        setOpen(false);
                    }, children: item.label }, item.value))) })] }));
}
exports.ToolSelect = ToolSelect;
