"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.components = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Alert_1 = require("./Alert");
const CodeBlock_1 = require("./CodeBlock");
const CodeInline_1 = require("./CodeInline");
const DemoBlock_1 = require("./DemoBlock");
const Table_1 = require("./Table");
exports.components = {
    code: CodeInline_1.CodeInline,
    pre: (_a) => {
        var _b, _c, _d;
        var { children } = _a, props = __rest(_a, ["children"]);
        const codeElem = react_1.Children.only(children);
        const language = ((_b = codeElem.props.className) === null || _b === void 0 ? void 0 : _b.substring(9)) || 'bash';
        const code = (_d = (_c = codeElem.props.children) === null || _c === void 0 ? void 0 : _c.trim) === null || _d === void 0 ? void 0 : _d.call(_c);
        return props.live && ['jsx', 'tsx'].includes(language) ? ((0, jsx_runtime_1.jsx)(DemoBlock_1.DemoBlock, Object.assign({ language: language, code: code }, props))) : ((0, jsx_runtime_1.jsx)(CodeBlock_1.CodeBlock, Object.assign({ language: language, code: code }, props)));
    },
    table: Table_1.Table,
    Alert: Alert_1.Alert,
};
