var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx } from "react/jsx-runtime";
import { render, screen } from '@testing-library/react';
import { StaticDemo } from '.';
describe('<ReactLivePlayground/>', () => {
    it('render', () => __awaiter(void 0, void 0, void 0, function* () {
        render(_jsx(StaticDemo, { children: "Hello" }));
        const elem = yield screen.findByText('Hello');
        expect(elem.className).toBe('ReactLivePlayground');
    }));
});
